# CreateJurisdictionOverrides

Create one or more overrides

`POST /api/v2/accounts/{accountId}/jurisdictionoverrides`

**API:** AvaTax API
**Tag:** JurisdictionOverrides
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/JurisdictionOverrides/CreateJurisdictionOverrides/

## Description

Creates one or more jurisdiction override objects for this account.
            
A Jurisdiction Override is a configuration setting that allows you to select the taxing
jurisdiction for a specific address.  If you encounter an address that is on the boundary
between two different jurisdictions, you can choose to set up a jurisdiction override
to switch this address to use different taxing jurisdictions.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, BatchServiceAdmin, CSPTester, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `accountId` | integer | path | Yes | The ID of the account that owns this override |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `JurisdictionOverrideModel[]`

Represents an override of tax jurisdictions for a specific address.
            
During the time period represented by EffDate through EndDate, all tax decisions for addresses matching
this override object will be assigned to the list of jurisdictions designated in this object.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique ID number of this override. Example: `0`. |
| `accountId` | integer | No | The unique ID number assigned to this account. Example: `0`. |
| `description` | string | **Yes** | A description of why this jurisdiction override was created. Example: `a test JO`. |
| `line1` | string | No | The street address of the physical location affected by this override. Example: `5500 Irvine Center Dr`. |
| `city` | string | No | The city address of the physical location affected by this override. Example: `Irvine`. |
| `region` | string | **Yes** | Name or ISO 3166 code identifying the region within the country to be affected by this override.
            
Note that only United States addresses are affected by the jurisdiction override system.
            
This field supports many different region identifiers:
 * Two and three character ISO 3166 region codes
 * Fully spelled out names of the region in ISO supported languages
 * Common alternative spellings for many regions
            
For a full list of all supported codes and names, please see the Definitions API `ListRegions`. Example: `CA`. |
| `country` | string | No | The two character ISO-3166 country code of the country affected by this override.
            
Note that only United States addresses are affected by the jurisdiction override system. Example: `US`. |
| `postalCode` | string | **Yes** | The postal code of the physical location affected by this override. Example: `92618`. |
| `effectiveDate` | string | No | The date when this override first takes effect.  Set this value to null to affect all dates up to the end date. Example: `2006-08-01T00:00:00`. |
| `endDate` | string | No | The date when this override will cease to take effect.  Set this value to null to never expire. Example: `2099-01-12T00:00:00`. |
| `createdDate` | string | No | The date when this record was created. |
| `createdUserId` | integer | No | The User ID of the user who created this record. Example: `0`. |
| `modifiedDate` | string | No | The date/time when this record was last modified. |
| `modifiedUserId` | integer | No | The user ID of the user who last modified this record. Example: `0`. |
| `jurisdictions` | JurisdictionModel[] | **Yes** | A list of the tax jurisdictions that will be assigned to this overridden address. |
| `taxRegionId` | integer | **Yes** | The TaxRegionId of the new location affected by this jurisdiction override. Example: `0`. |
| `boundaryLevel` | string | No | The boundary level of this override Values: `Address`, `Zip9`, `Zip5`. Example: `Address`. |
| `isDefault` | boolean | No | True if this is a default boundary |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/accounts/{accountId}/jurisdictionoverrides" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '[
  {
    "id": 0,
    "accountId": 0,
    "description": "a test JO",
    "line1": "5500 Irvine Center Dr",
    "city": "Irvine",
    "region": "CA",
    "country": "US",
    "postalCode": "92618",
    "effectiveDate": "2006-08-01",
    "endDate": "2099-01-12",
    "jurisdictions": [
      {
        "code": "075",
        "name": "LAWRENCE",
        "type": "County",
        "region": "AR",
        "county": "LAWRENCE",
        "country": "US",
        "shortName": "LAWRENCE",
        "stateFips": "05",
        "countyFips": "075",
        "id": 5075,
        "effectiveDate": "1999-09-01T00:00:00",
        "endDate": "9999-12-31T00:00:00",
        "isAcm": true,
        "isSst": true,
        "modifiedDate": "0001-01-01T00:00:00"
      }
    ],
    "taxRegionId": 0,
    "boundaryLevel": "Address",
    "isDefault": false
  }
]'
```